Bug 437649 - removable devices don't get named properly [NEEDINFO]
removable devices don't get named properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 14:46 EDT by jmccann
Modified: 2015-05-01 00:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: needinfo? (jmccann)


Attachments (Terms of Use)

  None (edit)
Description jmccann 2008-03-15 14:46:47 EDT
When I plug in an iRiver iHP-120 it shows up in nautilus named as iHP-100. 
However it shows up in rhythmbox as:

Toshiba MK2004GAL Music Player

It looks like the removable media manager picks up the better name but the
generic player source gets the wrong one.
Comment 1 jmccann 2008-03-15 16:08:43 EDT
In rb_removable_media_source_constructor() we're hitting the
gnome_vfs_drive_get_display_name (drive) case.

Comment 2 Bastien Nocera 2008-03-26 07:47:24 EDT
Leaving this opened, but this sort of problem should go away in the future, when
we use GIO/GVFS instead.
Comment 3 Bug Zapper 2008-05-14 02:37:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bastien Nocera 2009-03-24 09:27:51 EDT
Jon, could you please see if it's still a problem with RB 0.12.0 in rawhide?
Comment 5 Bug Zapper 2009-06-09 05:29:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Christopher Beland 2009-07-17 12:47:06 EDT
I don't have the same hardware as the reporter, but I thought I'd test the MP3 player I do have, in case that helps resolve this issue.  I would have expected it to show up as something like "Rio Forge", but here is what I got instead:

For the desktop icon and in Rhythmbox, it shows up as "521 MB Filesystem".

A Nautilus file browsing window pops up when I connect the device; it is titled "4623-D15D".

"lsusb -v" shows the device as:

Bus 001 Device 005: ID 045a:5042 SONICblue, Inc. 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x045a SONICblue, Inc.
  idProduct          0x5042 
  bcdDevice            0.00
  iManufacturer           1 Rio Audio Inc.
  iProduct                2 Rio Forge
  iSerial                 3 0002F5DAFDF3C40D
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           32
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          2 Rio Forge
    bmAttributes         0x80
      (Bus Powered)
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
     bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     80 Bulk (Zip)
      iInterface              2 Rio Forge
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0001
  Self Powered

Versions:
gvfs-1.2.3-7.fc11.i586
rhythmbox-0.12.1-3.fc11.i586
nautilus-2.26.3-1.fc11.i586
Comment 7 Bug Zapper 2010-04-27 07:57:05 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 06:33:22 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Christopher Beland 2015-05-01 00:02:10 EDT
FTR, works better now as of Fedora 19.

Note You need to log in before you can comment on or make changes to this bug.